package cn.com.infosec.mobile.android.xlog.printer.file.clean;

import android.support.annotation.Keep;
import java.io.File;

@Keep
public class FileLastModifiedCleanStrategy implements CleanStrategy {
   private long maxTimeMillis;

   public FileLastModifiedCleanStrategy(long maxTimeMillis) {
      this.maxTimeMillis = maxTimeMillis;
   }

   public boolean shouldClean(File file) {
      return System.currentTimeMillis() - file.lastModified() > this.maxTimeMillis;
   }
}
